Package org.apache.cxf.staxutils

# Class CachingXmlEventWriter.NSContext

java.lang.Object
org.apache.cxf.staxutils.CachingXmlEventWriter.NSContext

All Implemented Interfaces:
  `NamespaceContext`

Enclosing class:
  CachingXmlEventWriter

public static class CachingXmlEventWriter.NSContext extends Object implements NamespaceContext

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NSContext(NamespaceContext p)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addNs(String pfx, String ns)`
  `String`
  `getNamespaceURI(String prefix)`
  `String`
  `getPrefix(String namespaceURI)`
  `Iterator<String>`
  `getPrefixes(String namespaceURI)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NSContext

    public NSContext(NamespaceContext p)

- ## Method Details

  - ### addNs

    public void addNs(String pfx, String ns)

  - ### getNamespaceURI

    public String getNamespaceURI(String prefix)
    Specified by:
      `getNamespaceURI` in interface `NamespaceContext`

  - ### getPrefix

    public String getPrefix(String namespaceURI)
    Specified by:
      `getPrefix` in interface `NamespaceContext`

  - ### getPrefixes

    public Iterator<String> getPrefixes(String namespaceURI)
    Specified by:
      `getPrefixes` in interface `NamespaceContext`